/**
 * SyncSubsidyAgreementPTSOAPBindingImpl.java
 *
 */

package org.objectweb.orchestra.demo.syncSubsidyAgreement;

public class SyncSubsidyAgreementPTSOAPBindingImpl implements org.objectweb.orchestra.demo.syncSubsidyAgreement.SyncSubsidyAgreementPT{
    public SyncSubsidyAgreementResponse process(SyncSubsidyAgreementRequest subsidyAgreementRequest) throws java.rmi.RemoteException {
        System.out.println("SyncSubsidyAgreement Invocation ... ");
        SyncSubsidyAgreementResponse response = new SyncSubsidyAgreementResponse() ;
        String address = subsidyAgreementRequest.getAddress() ;
        String addrLC=address.toLowerCase() ;
        int ind = addrLC.indexOf("grenoble") ;
        String agreement;
        if (ind == -1) {
            agreement = "OK";
        } else {
            agreement = "No subvention (Lives in Grenoble) ";
        }
        response.setSubsidyAgreement(agreement);
        System.out.println("SyncSubsidyAgreement response :");
        System.out.println("agreement : " + agreement);
        System.out.println("SyncSubsidyAgreement Termination ... ");
        return response;
    }

}
