<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<h3>Your file's follow up</h3>
<br><br>
<br><br>
<br><br>
<c:if test="${done=='false'}">
	<div align="center">Your file has not been handled yet</div>
</c:if>

<c:if test="${done=='true'}">
	<c:if test="${validationAgreement=='OK'}">
		<c:if test="${subsidyAgreement=='OK'}">
			<c:if test="${schoolBusCompanyResponse=='OK'}">
				Your file has been handled. Your kid is registered for College.
				The file for the bus ticket has been approved by the State Department.
				The bus company has also approved you request. File information :
				 <table border="0" cellspacing="3" cellpadding="0">
					<tr>
						<td><I>File Number</I></td><td>:</td><td><c:out value=" ${schoolRecordNb}"/></td>
					</tr>
					<tr>
						<td><I>LastName</I></td><td>:</td><td><c:out value=" ${name}"/></td>
					</tr>
					<tr>
						<td><I>FirstName</I></td><td>:</td><td><c:out value=" ${firstName}"/></td>
					</tr>
					<tr>
						<td><I>Number</I></td><td>:</td><td><c:out value=" ${number} "/></td>
					</tr>
					<tr>
						<td><I>Street</I></td><td>:</td><td><c:out value="${street}"/></td>
					</tr>
					<tr>
						<td><I>Postal Code</I></td><td>:</td><td><c:out value=" ${cp} "/></td>
					</tr>
					<tr>
						<td><I>City</I></td><td>:</td><td><c:out value="${city}"/></td>
					</tr>
					<tr>
						<td><I>Grade</I></td><td>:</td><td><c:out value=" ${classe}"/></td>
					</tr>
					<tr>
						<td><I>Departure Bus Stop</I></td><td>:</td><td><c:out value=" ${station}"/></td>
					</tr>
					<tr>
						<td><I>Arrival Bus Stop</I></td><td>:</td><td><c:out value=" ${schoolBusArrival}"/></td>
					</tr>
					<tr>
						<td><I>Bus Ticket Number</I></td><td>:</td><td><c:out value=" ${schoolBusCompanyRecordNb}"/></td>
					</tr>
				</table>
			</c:if>
			<c:if test="${schoolBusCompanyResponse!='OK'}">
				Your file has been handled. Your kid is registered for College.
				The file for the bus ticket has been approved by the State Department.
				The bus compagny <b>has not approved</b> you request.
				<br>
				<br>
				<u>Reason :</u> <b><c:out value=" ${schoolBusCompanyResponse}"/></b>
				<br><br>
				File information:
				 <table border="0" cellspacing="3" cellpadding="0">
					<tr>
						<td><I>File number</I></td><td>:</td><td><c:out value=" ${schoolRecordNb}"/></td>
					</tr>
					<tr>
						<td><I>LastName</I></td><td>:</td><td><c:out value=" ${name}"/></td>
					</tr>
					<tr>
						<td><I>FirstName</I></td><td>:</td><td><c:out value=" ${firstName}"/></td>
					</tr>
					<tr>
						<td><I>Number</I></td><td>:</td><td><c:out value=" ${number} "/></td>
					</tr>
					<tr>
						<td><I>Street</I></td><td>:</td><td><c:out value="${street}"/></td>
					</tr>
					<tr>
						<td><I>Postal Code</I></td><td>:</td><td><c:out value=" ${cp} "/></td>
					</tr>
					<tr>
						<td><I>City</I></td><td>:</td><td><c:out value="${city}"/></td>
					</tr>
					<tr>
						<td><I>Grade</I></td><td>:</td><td><c:out value=" ${classe}"/></td>
					</tr>
				</table>
				<br>
				<br>
                We advice you to contact the bus compagny as soon as possible
			</c:if>
		</c:if>
		<c:if test="${subsidyAgreement!='OK'}">
						<c:if test="${schoolBusCompanyResponse=='OK'}">
				Your file has been handled. Your kid is registered for College.
				The file for the bus ticket <b>has not been approved</b> by the State Department.
				<br>
				<br>
				<u>Reason :</u> <b><c:out value=" ${subsidyAgreement}"/></b>
				<br>
				<br>
				The bus compagny has also approved you request. File information :
				 <table border="0" cellspacing="3" cellpadding="0">
					<tr>
						<td><I>File Number</I></td><td>:</td><td><c:out value=" ${schoolRecordNb}"/></td>
					</tr>
					<tr>
						<td><I>LastName</I></td><td>:</td><td><c:out value=" ${name}"/></td>
					</tr>
					<tr>
						<td><I>FirstName</I></td><td>:</td><td><c:out value=" ${firstName}"/></td>
					</tr>
					<tr>
						<td><I>Number</I></td><td>:</td><td><c:out value=" ${number} "/></td>
					</tr>
					<tr>
						<td><I>Street</I></td><td>:</td><td><c:out value="${street}"/></td>
					</tr>
					<tr>
						<td><I>Postal Code</I></td><td>:</td><td><c:out value=" ${cp} "/></td>
					</tr>
					<tr>
						<td><I>City</I></td><td>:</td><td><c:out value="${city}"/></td>
					</tr>
					<tr>
						<td><I>Grade</I></td><td>:</td><td><c:out value=" ${classe}"/></td>
					</tr>
					<tr>
						<td><I>Departure Bus Stop</I></td><td>:</td><td><c:out value=" ${station}"/></td>
					</tr>
					<tr>
						<td><I>Arrival Bus Stop</I></td><td>:</td><td><c:out value=" ${schoolBusArrival}"/></td>
					</tr>
					<tr>
						<td><I>Bus Ticket Number</I></td><td>:</td><td><c:out value=" ${schoolBusCompanyRecordNb}"/></td>
					</tr>
				</table>
			</c:if>
			<c:if test="${schoolBusCompanyResponse!='OK'}">
				Your file has been handled. Your kid is registered for College.
				The file for the bus ticket <b>has not been approved</b> by the State Department.
				<br>
				<br>
				<u>Reason :</u> <b><c:out value=" ${subsidyAgreement}"/></b>
				<br>
				<br>
				The bus compagny <b>has not approved</b> you request.
				<br>
				<br>
				<u>Reason :</u> <b><c:out value=" ${schoolBusCompanyResponse}"/></b>
				<br><br>
				File information:
				 <table border="0" cellspacing="3" cellpadding="0">
					<tr>
						<td><I>File Number</I></td><td>:</td><td><c:out value=" ${schoolRecordNb}"/></td>
					</tr>
					<tr>
						<td><I>LastName</I></td><td>:</td><td><c:out value=" ${name}"/></td>
					</tr>
					<tr>
						<td><I>FirstName</I></td><td>:</td><td><c:out value=" ${firstName}"/></td>
					</tr>
					<tr>
						<td><I>Number</I></td><td>:</td><td><c:out value=" ${number} "/></td>
					</tr>
					<tr>
						<td><I>Street</I></td><td>:</td><td><c:out value="${street}"/></td>
					</tr>
					<tr>
						<td><I>Postal Code</I></td><td>:</td><td><c:out value=" ${cp} "/></td>
					</tr>
					<tr>
						<td><I>City</I></td><td>:</td><td><c:out value="${city}"/></td>
					</tr>
					<tr>
						<td><I>Grade</I></td><td>:</td><td><c:out value=" ${classe}"/></td>
					</tr>
				</table>
				<br>
				<br>
                We advice you to contact the bus compagny as soon as possible
			</c:if>
		</c:if>
	</c:if>
	<c:if test="${validationAgreement!='OK'}">
        Your file has been handled. The College has refused the inscription.
		<br>
		<br>
		<u>Reason :</u><b> <c:out value=" ${validationAgreement}"/></b>
		<br><br>
		File Information:
				<table border="0" cellspacing="3" cellpadding="0">
					<tr>
						<td><I>File Number</I></td><td>:</td><td><c:out value=" ${schoolRecordNb}"/></td>
					</tr>
					<tr>
						<td><I>LastName</I></td><td>:</td><td><c:out value=" ${name}"/></td>
					</tr>
					<tr>
						<td><I>FirstName</I></td><td>:</td><td><c:out value=" ${firstName}"/></td>
					</tr>
					<tr>
						<td><I>Number</I></td><td>:</td><td><c:out value=" ${number} "/></td>
					</tr>
					<tr>
						<td><I>Street</I></td><td>:</td><td><c:out value="${street}"/></td>
					</tr>
					<tr>
						<td><I>Postal Code</I></td><td>:</td><td><c:out value=" ${cp} "/></td>
					</tr>
					<tr>
						<td><I>City</I></td><td>:</td><td><c:out value="${city}"/></td>
					</tr>
				</table>
	</c:if>
</c:if>
