package telecomProvider;

import java.util.Vector;

public class ServiceList {

    private static Vector services = null;

    public static Vector getServices() {
        init();
        return services;
    }

    public static void addService(Service cust) {
        init();
        services.addElement(cust);
    }

    public static void init() {
        if (services == null) {
            services = new Vector();
        }
    }

    public static Service getService(String TelecomRecordNb) {
        init();
        Service result = null;
        for (int i=0;i<services.size() && result==null;i++) {
            Service tmp = (Service)services.get(i);
            if (tmp.getTelecomRecordNb().equals(TelecomRecordNb)) {
                result = tmp;
            }
        }

        return result;
    }

    public static void deleteService(String TelecomRecordNb) {
        init();
        boolean found = false;
        for (int i=0;i<services.size() && !found;i++) {
            Service tmp = (Service)services.get(i);
            if (tmp.getTelecomRecordNb().equals(TelecomRecordNb)) {
                found = true;
                services.remove(i);
            }
        }
    }
}
