<%@ taglib uri="/WEB-INF/c.tld" prefix="c" %>
<%@ page import="javax.jms.ConnectionFactory"%>
<%@ page import="javax.jms.MapMessage"%>
<%@ page import="javax.jms.Queue"%>
<%@ page import="javax.jms.QueueConnection"%>
<%@ page import="javax.jms.QueueConnectionFactory"%>
<%@ page import="javax.jms.QueueSender"%>
<%@ page import="javax.jms.QueueSession"%>
<%@ page import="javax.jms.Session"%>
<%@ page import="javax.naming.Context"%>
<%@ page import="javax.naming.InitialContext"%>
<%@ page import="telecomProvider.PhoneNumberGenerator"%>
<%@ page import="telecomProvider.ServiceList"%>

<html>
  <head>
    <title>Telecom Phone Number Enrolment</title>
  </head>
  <body>
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr height="25%">
        <td valign="top">
          <jsp:include page="/header.jsp" />
        </td>
      </tr>
      <tr>
        <td>
          <table width="100%">
            <tr>
              <td valign="middle">
                <jsp:include page="left.jsp" />
              </td>
              <td>
                Sending phoneNumber to service...
                <%
				try {
					String TelecomRecordNb = (String) request.getParameter("nb");
					String PhoneNumber = (String) request.getParameter("phoneNb");
					String ServiceNumber = (String) request.getParameter("serviceNb");

					Context jndi=new InitialContext();
					Queue queue=(Queue) jndi.lookup("TelecomProviderQueue");
					javax.jms.ConnectionFactory  conFactory = (ConnectionFactory)jndi.lookup("JQCF");
					javax.jms.Connection connection = ((QueueConnectionFactory)conFactory).createQueueConnection();
					javax.jms.Session mySession = ((QueueConnection)connection).createQueueSession(false,
					Session.AUTO_ACKNOWLEDGE);
					// Send Message to TelecomProviderQueue to WebApp
					QueueSender prod = ((QueueSession) mySession).createSender(queue);
					MapMessage message=mySession.createMapMessage();

					message.setStringProperty("TelecomRecordNb",TelecomRecordNb);
					message.setString("PhoneNumber",PhoneNumber);
					message.setString("ServiceNumber",ServiceNumber);

					prod.send(message);
					prod.close();
					mySession.close();
					connection.close();
					prod = null;
		            session = null;
		            connection = null;
		            message = null;

					ServiceList.deleteService(TelecomRecordNb);
				} catch (Exception e) {
				    e.printStackTrace();
				}

				%>
              </td>
            </tr>
          </table>
        </td>
      </tr>
    </table>
  </body>
</html>




