package org.objectweb.orchestra.demo.telecomDisplayer;

import javax.jms.ConnectionFactory;
import javax.jms.JMSException;
import javax.jms.MapMessage;
import javax.jms.MessageListener;
import javax.jms.Queue;
import javax.jms.QueueConnection;
import javax.jms.QueueConnectionFactory;
import javax.jms.QueueReceiver;
import javax.jms.QueueSender;
import javax.jms.QueueSession;
import javax.jms.Session;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;

public class DisplayBindingImpl implements org.objectweb.orchestra.demo.telecomDisplayer.Display{
    public void displayPhone(String TelecomRecordNb, String Name, String FirstName, String Address, String PhoneNumber, String ServiceNumber) throws java.rmi.RemoteException {
        try {
            Context jndi=new InitialContext();
            Queue queue=(Queue) jndi.lookup("TelecomDemoQueue");
            javax.jms.ConnectionFactory  conFactory = (ConnectionFactory)jndi.lookup("JQCF");
            javax.jms.Connection connection = ((QueueConnectionFactory)conFactory).createQueueConnection();
            javax.jms.Session session = ((QueueConnection)connection).createQueueSession(false,Session.AUTO_ACKNOWLEDGE);
            //Send Message to TelecomDemoQueue to WebApp
            QueueSender prod = ((QueueSession) session).createSender(queue);
            MapMessage message=session.createMapMessage();
            message.setStringProperty("TelecomRecordNb",TelecomRecordNb);
            message.setString("Name",Name);
            message.setString("FirstName",FirstName);
            message.setString("Address",Address);
            message.setString("PhoneNb",PhoneNumber);
            message.setString("ServiceNb",ServiceNumber);
            prod.send(message);
            prod.close();
            session.close();
            connection.close();
            prod = null;
            session = null;
            connection = null;
            message = null;
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
