package org.objectweb.orchestra.samples.console;

public class ConsoleClient {
    public static void main(String[] args) {
        int argNb = 1;
        if (args.length < argNb) {
            System.out.println("Number of arguments needed : " + argNb);
            System.out.println("Args: <message text>");
        } else {
            try {
                ConsoleServiceBP is = new ConsoleServiceBPLocator();
                ConsolePT ipt = is.getconsolePT();
                InitiateConsoleType in = new InitiateConsoleType();
                StringBuffer message = new StringBuffer();
                message.append("");
                for(int i = 0; i < args.length; ++i)
                    message.append(args[i]).append(" ");
                in.setMessage(message.toString());

                System.out.println(">>>>> CONSOLE Input :" + message.toString());
                InitiateConsoleResponseType out = ipt.initiate(in);
                System.out.println(">>>>> CONSOLE Response received: "
                        + out.getResult());

            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
