package org.objectweb.orchestra.samples.echocomplex;

import java.lang.*;

import java.math.*;

public class EchoComplexClient
{
    public static void main(String [] args)
    {
        int argNb = 3;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Number of arguments needed : "+argNb);
            System.out.println("             The first should be an int");
            System.out.println("             The second should be a string");
            System.out.println("             The third should be a string");
        } else {
            try {
                EchoComplexServiceBP ecs=new EchoComplexServiceBPLocator();
                EchoComplexPT ecpt=ecs.getechoComplexPT();
                Phone in = new Phone();
                in.setAreaCode(java.lang.Integer.parseInt(args[0]));
                in.setExchange(args[1]);
                in.setNumber(args[2]);
                org.objectweb.orchestra.samples.echocomplex.holders.PhoneHolder ph = new org.objectweb.orchestra.samples.echocomplex.holders.PhoneHolder (in);
                ecpt.echo(ph);
                System.out.println(">>>>> ECHOCOMPLEX response received : \n   AreaCode : " + ph.value.getAreaCode()
                        + "\n   Exchange : " + ph.value.getExchange()
                        + "\n   Number   : " + ph.value.getNumber() );
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
