/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.util;

import java.io.File;

/**
 * Explorer.java
 *
 * @author Goulven Le Jeune & Charles Souillard
 * @version $Id: Explorer.java 5 2006-10-20 14:37:44Z lejeuneg $
 *
 */
public class Explorer {

    private static String basedir = BPELConstants.BUILD_PROCESSFILES_DIR+File.separator;

    public static String getWsdlPath(String processName) {
        String prefix = Util.getFilePrefix();
        return prefix+basedir+processName+File.separator+processName+".wsdl";
    }

    public static String getBpelPath(String processName) {
        String prefix = Util.getFilePrefix();
        return prefix+basedir+processName+File.separator+processName+".bpel";
    }
}


