package xmlIndenter;

import java.io.File;

public class MainDir {

    private static String dir;
    private static String pattern;
    private static String eraseOut;
    private static String spacesStep;
    private static String maxAttrByLine;
    private static String attrs;
    private static String beforeChildren;
    private static String afterNode;

    public static void main(String args[]) {
        dir = args[0];
        pattern = args[1];
        eraseOut = args[2];
        spacesStep = args[3];
        maxAttrByLine = args[4];
        attrs = args[5];
        beforeChildren = args[6];
        afterNode = args[7];

        examineDir(dir);
    }

    public static void examineDir(String dir) {
        File f = new File(dir);
        File[] fileList = f.listFiles();
        File tmp = null;
        for (int i = 0; fileList != null && i < fileList.length; i++) {
            tmp = fileList[i];
            if (tmp.isDirectory()) {
                examineDir(tmp.getAbsolutePath());
            } else if (tmp.getName().endsWith(pattern)) {
                //tmp.delete();

                try {
                    String[] allArgs = {
                            tmp.getAbsolutePath(),
                            tmp.getAbsolutePath(),
                            eraseOut,
                            spacesStep,
                            maxAttrByLine,
                            attrs,
                            beforeChildren,
                            afterNode,
                            };
                    Main.main(allArgs);
                } catch (Exception e) {
                    e.printStackTrace();
                }

            }
        }

    }
}


