// Created by Xslt generator for Eclipse.
// XSL :  not found (java.io.FileNotFoundException:  (Bad file descriptor))
// Default XSL used : easystruts.jar$org.easystruts.xslgen.JavaClass.xsl

package fr.demo.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import fr.demo.Bd;
import fr.demo.form.FormAuthentification;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

//import des lib JMS
import javax.jms.ConnectionFactory;
import javax.jms.MapMessage;
import javax.jms.Queue;
import javax.jms.QueueConnection;
import javax.jms.QueueConnectionFactory;
import javax.jms.QueueReceiver;
import javax.jms.QueueSession;
import javax.jms.Session;
import javax.naming.Context;
import javax.naming.InitialContext;

/**
 * AuthentificationAction.java created by EasyStruts - XsltGen.
 * http://easystruts.sf.net
 * created on 09-07-2004
 *
 * XDoclet definition:
 * @struts:action path="/AuthentificationAction" name="Form" input="/form/left.jsp" validate="true"
 * @struts:action-forward name="/authfailed.jsp" path="/authfailed.jsp"
 * @struts:action-forward name="/direct.html" path="/direct.html"
 */
public class AuthentificationAction extends Action {

    // --------------------------------------------------------- Instance Variables

    // --------------------------------------------------------- Methods

    /**
     * Method execute
     * @param ActionMapping mapping
     * @param ActionForm form
     * @param HttpServletRequest request
     * @param HttpServletResponse response
     * @return ActionForward
     * @throws Exception
     */
    public ActionForward execute(ActionMapping mapping,ActionForm form,HttpServletRequest request,HttpServletResponse response) throws Exception {
        FormAuthentification formulaire = (FormAuthentification) form;
        String telecomRecordNb=formulaire.getTelecomRecordNb();
        String name=formulaire.getName();
        Bd base=new Bd();
        if(base.archiveExist(telecomRecordNb, name)){
            this.lookMessage(request,telecomRecordNb);
            return mapping.findForward("success");
        } else {
            return mapping.findForward("failed");
        }
    }

    private void lookMessage(HttpServletRequest request, String telecomRecordNb){
        try {
            Context jndi=new InitialContext();
            Queue queue=(Queue) jndi.lookup("TelecomDemoQueue");
            javax.jms.ConnectionFactory  conFactory = (ConnectionFactory)jndi.lookup("QCF");
            javax.jms.Connection connection = ((QueueConnectionFactory)conFactory).createQueueConnection();
            javax.jms.Session session = ((QueueConnection)connection).createQueueSession(false, Session.AUTO_ACKNOWLEDGE);
            QueueReceiver prod = ((QueueSession) session).createReceiver(queue,"TelecomRecordNb = '"+ telecomRecordNb +"'");
            connection.start();
            long timeout=10000;
            MapMessage message =(MapMessage) prod.receive(timeout);
            prod.close();
            session.close();
            connection.close();
            prod = null;
            session = null;
            connection = null;
            String done;
            if (message!=null){
                String name = message.getString("Name");
                String firstName = message.getString("FirstName");
                String phoneNb = message.getString("PhoneNb");
                String serviceNb = message.getString("ServiceNb");
                request.setAttribute("telecomRecordNb",telecomRecordNb);
                request.setAttribute("name",name);
                request.setAttribute("firstName",firstName);
                request.setAttribute("phoneNb",phoneNb);
                request.setAttribute("serviceNb",serviceNb);

                Bd base=new Bd();
                base.modifyArchive(telecomRecordNb,name,firstName,phoneNb,serviceNb);
                done="true";
                message = null;
            } else {
                done="false";
            }
            Bd base=new Bd();
            if (base.archiveFinish(telecomRecordNb,request)){
                done="true";
            } else {
                done="false";
            }
            request.setAttribute("done",done);
        } catch (Exception e) {
            e.printStackTrace(System.err);
        }
    }

}
