@Echo off

Set SERVER_NAME=BPEL

Set BUILD=%BPEL_HOME%\build.xml

Set JONAS=call %JONAS_ROOT%\bin\nt\jonas.bat
Set JONAS_CP=
Set JONAS_PROPS=-Dbpel.home=%BPEL_HOME% -Djava.protocol.handler.pkgs=org.objectweb.orchestra.bindingframework.transport -Dorg.objectweb.joram.client.jms.lazyAck=true -Dmonolog.wrappers=org.objectweb.orchestra.util.BPELTrace

Set CLIENT=call %JONAS_ROOT%\bin\nt\jclient.bat
Set CLIENT_CP=%JONAS_ROOT%\lib\client.jar;%BPEL_HOME%\build\ejbjars\orchestra.jar;%ANT_HOME%\lib\ant.jar;%CLASSPATH%
Set BPEMCLIENT_CP=%JONAS_ROOT%\lib\client.jar;%BPEL_HOME%\build\apis\orchestra_bpem_api.jar;%CLASSPATH%
Set CLIENT_PROPS=%JONAS_PROPS%
Set APC=org.objectweb.orchestra.client.AdminProcessClient
Set LPC=org.objectweb.orchestra.client.LoadProcessClient

Set JAVA_OPTS=%JAVA_OPTS% -Xbootclasspath/a:%BPEL_HOME%\build\bf\orchestra_bfhandler.jar -Daxis.ClientConfigFile=%BPEL_HOME%\client-config.wsdd

Set BPEM_CP=%BPEMCLIENT_CP%;%BPEL_HOME%\build\bpem\orchestra_bpem.jar;%BPEL_HOME%\lib\graphit\graph.jar;bin

Set SERVER_CONFIG=%JONAS_BASE%\work\webapps\BPEL\ear\orchestra\orchestra-axis\WEB-INF\server-config.wsdd

Set SAMPLES=%BPEL_HOME%\samples

Set TEST_PACK=org.objectweb.orchestra.tests.unit.
Set TEST_NAME_BASE=unit

Set JDBC=
for %%f in (%BPEL_HOME%\lib\ext\jdbcDrivers\*.jar) do call :doset %%f
goto :expandJDBC

:doset
if "" == "%JDBC%" (
  set JDBC=%1
) else (
  set JDBC=%JDBC%;%1
)
goto :EOF

:expandJDBC
Set JONAS_CP=%JDBC%
Set CLIENT_CP=%CLIENT_CP%;%JDBC%
Set BPEM_CP=%BPEM_CP%;%JDBC%


:EOF