package org.objectweb.orchestra.samples.incrementService;

import java.lang.*;
import java.math.*;

public class IncrementServiceClient {
    public static void main(String[] args) {
        int argNb = 1;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Number of arguments needed : "+argNb);
            System.out.println("             The first should be an int");
        } else {
            try {
                System.out.println(">>>>> INCREMENT input: " + args[0]);
                IncrementServiceServiceBP is = new IncrementServiceServiceBPLocator();
                IncrementServicePT ipt = is.getIncrementServicePT();
                ProcessIncrementServiceType in = new ProcessIncrementServiceType();
                in.setValue(java.lang.Integer.parseInt(args[0]));
                ProcessIncrementServiceResponseType out = ipt.process(in);
                System.out.println(">>>>> INCREMENT response received: " + out.getResult());

            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
