package org.objectweb.orchestra.samples.switchSample;

import org.apache.axis.client.Call;
import org.apache.axis.client.Service;
import org.apache.axis.encoding.XMLType;
import org.apache.axis.utils.Options;

import javax.xml.namespace.QName;
import javax.xml.rpc.ParameterMode;

import org.apache.axis.encoding.ser.BeanSerializerFactory;
import org.apache.axis.encoding.ser.BeanDeserializerFactory;
import org.apache.axis.encoding.ser.ArraySerializerFactory;
import org.apache.axis.encoding.ser.ArrayDeserializerFactory;

import java.lang.*;

import java.math.*;

public class SwitchClient
{
    public static void main(String [] args)
    {
        int argNb = 1;
        if (args.length != argNb) {
            System.out.println(">>>>> ERROR: Number of arguments needed : "+argNb);
            System.out.println("             The first should be an int");
        } else {
            try {
                SwitchServiceBP es=new SwitchServiceBPLocator();
                SwitchPT ept=es.getSwitchPT();
                InitiateSwitchType in = new InitiateSwitchType();
                in.setValue(java.lang.Integer.parseInt(args[0]));
                InitiateSwitchResponseType out = ept.initiate(in);
                System.out.println(">>>>> SWITCH response received: " + out.getResult());
            } catch (Exception e) {
                e.printStackTrace(System.err);
            }
        }
    }
}
