/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.objectweb.orchestra.tests.jbi.junit.unitCondition;

import org.objectweb.orchestra.tests.jbi.JbiJunitTestCase;

import junit.framework.TestSuite;


public class Test extends JbiJunitTestCase {

    public Test(String testName) {
        super(testName);
        this.processName = "unitCondition";
    }

    public static TestSuite suite() {
        return new TestSuite(Test.class);
    }

    public void test1() throws Exception {
        callAndVerify("1","1");
    }

    public void test2() throws Exception {
        callAndVerify("2","2");
    }

    public void test3() throws Exception {
        callAndVerify("3","3");
    }

    public void test4() throws Exception {
        callAndVerify("4","4");
    }

    public void test5() throws Exception {
        callAndVerify("5","5");
    }

    public void test6() throws Exception {
        callAndVerify("6","6");
    }

}


