package org.objectweb.orchestra.tests.unit.unitCS;

import java.lang.Thread;

import org.objectweb.orchestra.tests.unit.unitCS.CS1PT;
import org.objectweb.orchestra.tests.unit.unitCS.CS1ServiceBP;
import org.objectweb.orchestra.tests.unit.unitCS.CS1ServiceBPLocator;
import org.objectweb.orchestra.tests.unit.unitCS.CS2PT;
import org.objectweb.orchestra.tests.unit.unitCS.CS2ServiceBP;
import org.objectweb.orchestra.tests.unit.unitCS.CS2ServiceBPLocator;
import org.objectweb.orchestra.tests.unit.unitCS.CS3PT;
import org.objectweb.orchestra.tests.unit.unitCS.CS3ServiceBP;
import org.objectweb.orchestra.tests.unit.unitCS.CS3ServiceBPLocator;
import org.objectweb.orchestra.tests.unit.unitCS.CS4PT;
import org.objectweb.orchestra.tests.unit.unitCS.CS4ServiceBP;
import org.objectweb.orchestra.tests.unit.unitCS.CS4ServiceBPLocator;

public class UnitCSThread extends Thread {
    private int mKind;

    public UnitCSThread(int kind) {
        this.mKind = kind;
    }

    public void run() {
        try {
            if (this.mKind == 1) {
                sleep(5000);
                CS1ServiceBP fs = new CS1ServiceBPLocator();
                CS1PT fpt = fs.getCS1PT();

                String cas = new String("1");
                int integer = 0;

                fpt.submit(cas, integer);
            } else if (this.mKind == 2) {
                sleep(10000);
                CS2ServiceBP fs = new CS2ServiceBPLocator();
                CS2PT fpt = fs.getCS2PT();

                String cas = new String("1");
                int integer = 0;
                fpt.submit(cas, integer);
            } else if (this.mKind == 3) {
                sleep(5000);
                CS3ServiceBP fs = new CS3ServiceBPLocator();
                CS3PT fpt = fs.getCS3PT();

                String cas = new String("1");
                int integer = 0;
                fpt.submit(cas,integer);
            } else if (this.mKind == 4) {
                sleep(10000);
                CS4ServiceBP fs = new CS4ServiceBPLocator();
                CS4PT fpt = fs.getCS4PT();

                String cas = new String("Toto");

                fpt.submit(cas);
            }
        } catch (Exception ex) {
            System.out.println("Exception : " +ex);
        }
    }
}
