package org.objectweb.orchestra.tests.unit.unitPartnerLink;

import org.objectweb.orchestra.util.BPELConstants;

import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.objectweb.orchestra.tests.unit.unitPartnerLink.PartnerLink;
import org.objectweb.orchestra.tests.unit.unitPartnerLink.PartnerLinkServiceBP;
import org.objectweb.orchestra.tests.unit.unitPartnerLink.PartnerLinkServiceBPLocator;


public class TestPartnerLink extends TestCase {

    private boolean tmp;

    private PartnerLinkServiceBP fs = null;
    private PartnerLink fpt = null;

    public TestPartnerLink(String testname) {
        super(testname);
    }

    public static TestSuite suite() {
        return new TestSuite(TestPartnerLink.class);
    }

    public void setUp() throws Exception {
        System.out.println(BPELConstants.TEST_MESS_BEGIN+this.getName()+BPELConstants.TEST_MESS_END);
        this.fs = new PartnerLinkServiceBPLocator();
        this.fpt = this.fs.getPartnerLink();
    }

    public static void main(String args[]) {
        String testtorun = null;
        // Get args: <test-name>
        if (args.length > 0) {
            testtorun = args[0];
        }
        if (testtorun == null) {
            junit.textui.TestRunner.run(suite());
        } else {
            junit.textui.TestRunner.run(new TestPartnerLink(testtorun));
        }
    }

    public void testPartnerlink() throws Exception {
        int in = 0;
        String res = this.fpt.partnerLink1(in);
        this.tmp = res.equals(Integer.toString(in+1));
        assertTrue("partnerlink1 error",this.tmp);
    }

}
